InvitesManager (invites-common-library 1.2.0-4.1.0-130567 API)
Date: 2016-10-27

org.gcube.portal.invites

## Class InvitesManager

- java.lang.Object
- - org.gcube.portal.invites.InvitesManager

-     public class InvitesManager
      extends Object

  Author:
    Massimiliano Assante

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `convertHTML2Text(String html)` Convert html into simple text
    `static InvitesManager` | `getInstance()`
    `static org.gcube.portal.databook.server.DatabookStore` | `initStore()`
    `static void` | `notifyInviteSent(javax.servlet.http.HttpServletRequest request, String username, String scope, org.gcube.portal.databook.shared.Invite invite, String vreName)`
    `org.gcube.portal.databook.shared.InviteOperationResult` | `sendInvite(javax.servlet.http.HttpServletRequest request, org.gcube.application.framework.core.session.ASLSession aslSession, String portalSenderEmail, String portalURL, String name, String lastName, String email, String vreDescription)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static InvitesManager getInstance()

    - #### initStore

          public static org.gcube.portal.databook.server.DatabookStore initStore()

      Returns:
        the unique instance of the store

    - #### sendInvite

          public org.gcube.portal.databook.shared.InviteOperationResult sendInvite(javax.servlet.http.HttpServletRequest request,
                                                                                   org.gcube.application.framework.core.session.ASLSession aslSession,
                                                                                   String portalSenderEmail,
                                                                                   String portalURL,
                                                                                   String name,
                                                                                   String lastName,
                                                                                   String email,
                                                                                   String vreDescription)

    - #### convertHTML2Text

          protected static String convertHTML2Text(String html)

      Convert html into simple text

    - #### notifyInviteSent

          public static void notifyInviteSent(javax.servlet.http.HttpServletRequest request,
                                              String username,
                                              String scope,
                                              org.gcube.portal.databook.shared.Invite invite,
                                              String vreName)

      Parameters:
        `scope` - .
        `optionalMessage` - .

Copyright © 2016. All Rights Reserved.